<div class="mdc-card h-100">
    {% if propertyVacancyReport.getPropertyVacancyReportImages()|length > 0 %}
        {% set propertyVacancyReportImage = propertyVacancyReport.getPropertyVacancyReportImages().first() %}

        {% if propertyVacancyReportImage.getThumbnailFile is not null %}
            {% set image = path('file', {'fileUuid': propertyVacancyReportImage.getThumbnailFile().getUuid()}) %}
        {% else %}
            {% set image = path('file', {'fileUuid': propertyVacancyReportImage.getFile().getUuid()}) %}
        {% endif %}
    {% else %}
        {% set image = asset('build/images/no-image.jpg') %}
    {% endif %}
    <div class="lazy-image-loader my-card__media mdc-card__media mdc-card__media--16-9" data-background-image="{{ image }}"></div>
    {% if propertyVacancyReport.isObjectIsEmpty() %}
        <span class="position-absolute top-0 start-100 translate-middle p-2 bg-danger border border-light rounded-circle">
            <span class="visually-hidden">Objekt steht leer</span>
        </span>
    {% endif %}
    {% if propertyVacancyReport.isObjectBecomesEmpty() %}
        <span class="position-absolute top-0 start-100 translate-middle p-2 bg-warning border border-light rounded-circle">
            <span class="visually-hidden">Objekt fällt leer</span>
        </span>
    {% endif %}
    <div class="d-flex flex-column p-2 h-100">
        <strong>
            {% if propertyVacancyReport.getIndustryClassification() %}{{ propertyVacancyReport.getIndustryClassification().getName() }}{% else %}Objekt{% endif %}{% if propertyVacancyReport.getPropertyUserCompanyName() %},<br>{% if propertyVacancyReport.isObjectIsEmpty() %}ehemals {% endif %}{{ propertyVacancyReport.getPropertyUserCompanyName() }}{% endif %}
        </strong>
        <small class="mb-1">Meldungs-Nr.: M{{ propertyVacancyReport.getId() }}</small>
        <small class="mb-1">gemeldet am: {{ propertyVacancyReport.getReportedAt().format('d.m.Y, H:i') }} Uhr</small>
        {% if is_granted('ROLE_RESTRICTED_VIEWER') == false %}
            {% if propertyVacancyReport.getReporterName() != null %}
                <small class="mb-1">gemeldet von: {{ propertyVacancyReport.getReporterFirstName() }} {{ propertyVacancyReport.getReporterName() }}{% if propertyVacancyReport.getReporterCompanyName() != null %} ({{ propertyVacancyReport.getReporterCompanyName() }}){% endif %}</small>
            {% endif %}
        {% endif %}
        <div class="d-flex flex-row docs-highlight mb-1">
            <div class="p-1 docs-highlight">
                <span class="material-icons-outlined">
                    pin_drop
                </span>
            </div>
            <div class="p-1 docs-highlight">
                <span>{{ propertyVacancyReport.getStreetName() }} {{ propertyVacancyReport.getHouseNumber() }}</span><br>
                <span>{{ propertyVacancyReport.getPostalCode() }} {{ propertyVacancyReport.getPlace().getPlaceName }}</span>
            </div>
        </div>
        {% if (propertyVacancyReport.isObjectIsEmpty() and propertyVacancyReport.getObjectIsEmptySince() != null) or (propertyVacancyReport.isObjectBecomesEmpty() and propertyVacancyReport.getObjectBecomesEmptyFrom() != null) %}
            <div class="d-flex flex-row docs-highlight mb-1">
                <div class="p-1 docs-highlight">
                    <span class="material-icons-outlined {% if propertyVacancyReport.isObjectIsEmpty() %}text-danger{% endif %} {% if propertyVacancyReport.isObjectBecomesEmpty() %}text-warning{% endif %}">
                        {% if propertyVacancyReport.isObjectIsEmpty() %}error{% endif %} {% if propertyVacancyReport.isObjectBecomesEmpty() %}gpp_maybe{% endif %}
                    </span>
                </div>
                <div class="p-1 docs-highlight">
                    {% if propertyVacancyReport.isObjectIsEmpty() %}
                        Leerstand seit: {{ propertyVacancyReport.getObjectIsEmptySince().format('d.m.Y') }}
                    {% else %}
                        Fällt leer zum: {{ propertyVacancyReport.getObjectBecomesEmptyFrom().format('d.m.Y') }}
                    {% endif %}
                </div>
            </div>
        {% endif %}
    </div>
    <div class="mdc-card__actions justify-content-end">
        {% include 'component/view_or_edit_button_component.html.twig' with {
            'path': path('property_vacancy_management_property_vacancy_report_report', {'propertyVacancyReportId': propertyVacancyReport.getId()}),
            'item': propertyVacancyReport
        } only %}
    </div>
</div>
